Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 267612 - gnome-base/nautilus-2.24.2: isnt automounting usb/cdrom devices
Summary: gnome-base/nautilus-2.24.2: isnt automounting usb/cdrom devices
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-27 00:29 UTC by Mariusz Szulist
Modified: 2010-01-25 22:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mariusz Szulist 2009-04-27 00:29:20 UTC
Nautilus isn't automounting devices, if i add 'automount' flag to gnome-volume-magager usb devices are mounted twice. If im not mistacken nautilus shoult mount propedly devices without support from gnome-volume-manager.

!!! CONFIG_PROTECT is emptyPortage 2.1.6.7 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.8_p20080602-r1, 2.6.28-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r5-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E4500_@_2.20GHz-with-glibc2.2.5
Timestamp of tree: Sun, 26 Apr 2009 22:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT=""
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://gentoo.po.opole.pl http://gentoo.mirror.pw.edu.pl/ "
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="pl en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 avahi beagle berkdb bzip2 cairo cdda cdr cli cracklib crypt cups cxx dbus djvu dri dvd dvdr encode exif ffmpeg firefox flac fortran fuse gdbm gif gnome gpm gtk hal hdri iconv ipv6 isdnlog jbig jpeg jpeg2k kerberos ldap mad midi mmx mng mp3 mudflap multilib nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png pppd python raw readline reflection session smp spl sse sse2 ssl ssse3 sysfs tcpd templates tiff tracker truetype unicode v4l v4l2 vorbis wavpack wma wmf xcb xft xml xmp xorg xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

Calculating dependencies... done!
[ebuild   R   ] gnome-base/gvfs-1.0.3-r2  USE="avahi cdda fuse gnome hal -archive -bash-completion -bluetooth -debug -doc -gnome-keyring -gphoto2 -samba" 900 kB
[ebuild   R   ] gnome-base/nautilus-2.24.2  USE="X beagle gnome tracker xmp -debug -doc" 5,231 kB
[ebuild   R   ] gnome-base/gnome-volume-manager-2.24.1  USE="-automount -consolekit -debug" 366 kB




Reproducible: Always
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-05-14 22:54:34 UTC
So you are in plugdev group right ? What happens if you enable consolekit ? Could you attach your ~/.xsession-errors ?
Comment 2 Mariusz Szulist 2009-05-16 13:16:36 UTC
(In reply to comment #1)
> So you are in plugdev group right ? What happens if you enable consolekit ?
> Could you attach your ~/.xsession-errors ?
> 

ubek@machina ~ $ id
uid=1000(ubek) gid=1000(ubek) grupy=10(wheel),11(floppy),18(audio),19(cdrom),27(video),35(games),85(usb),100(users),1000(ubek),1003(plugdev)

ubek@machina ~ $ cat /etc/group
root:x:0:root
bin:x:1:root,bin,daemon
daemon:x:2:root,bin,daemon
sys:x:3:root,bin,adm
adm:x:4:root,adm,daemon
tty:x:5:
disk:x:6:root,adm,haldaemon
lp:x:7:lp
mem:x:8:
kmem:x:9:
wheel:x:10:root,ubek
floppy:x:11:root,ubek,haldaemon
mail:x:12:mail
news:x:13:news
uucp:x:14:uucp
man:x:15:man
console:x:17:
audio:x:18:ubek
cdrom:x:19:ubek,haldaemon
dialout:x:20:root
tape:x:26:root
video:x:27:root,ubek
cdrw:x:80:haldaemon
usb:x:85:ubek,haldaemon
users:x:100:games,ubek
nofiles:x:200:
smmsp:x:209:smmsp
portage:x:250:portage
utmp:x:406:
nogroup:x:65533:
nobody:x:65534:
sshd:x:22:
cron:x:16:
ssmtp:x:407:
crontab:x:408:
ubek:x:1000:
messagebus:x:1001:
lpadmin:x:106:
haldaemon:x:1002:haldaemon
plugdev:x:1003:haldaemon,ubek
netdev:x:1004:
avahi:x:1005:
gdm:x:1006:
games:x:35:ubek
partimag:x:91:
clamav:x:1007:
hsqldb:x:1008:
scanner:x:1009:
ldap:x:439:
sabayon-admin:x:1010:

with gnome-base/gnome-volume-manager-2.24.1  USE="-automount
consolekit -debug" automounting isnt working either

~/.xsession-errors :

/etc/X11/gdm/Xsession: Beginning session setup...
/etc/X11/gdm/Xsession: Setup done, will execute: /usr/bin/ssh-agent -- /usr/bin/seahorse-agent --execute gnome-session
SESSION_MANAGER=local/machina:/tmp/.ICE-unix/4553
** Message: another SSH agent is running at: /tmp/ssh-hzkNex4553/agent.4553
1242479425.428490 Session manager: disconnected...
Ostrzeżenie menedżera okien: Nie można odczytać zapisanego pliku sesji "/home/ubek/.config/metacity/sessions/default0.ms": Nie można otworzyć pliku "/home/ubek/.config/metacity/sessions/default0.ms": Nie ma takiego pliku ani katalogu


Tracker version 0.6.6 Copyright (c) 2005-2007 by Jamie McCracken (jamiemcc@gnome.org)

This program is free software and comes without any warranty.
It is licensed under version 2 or later of the General Public License which can be viewed at http://www.gnu.org/licenses/gpl.txt

Initialising tracker...
starting HAL detection for ac adaptors...none found
Throttle level is 0
Failed to play sound: Sound disabled
16/05/2009 15:10:30 Autoprobing TCP port
16/05/2009 15:10:30 Autoprobing selected port 5900
16/05/2009 15:10:30 Advertising authentication type: 'No Authentication' (1)
16/05/2009 15:10:30 Advertising security type: 'No Authentication' (1)
seahorse nautilus module initialized

** (nautilus:4690): WARNING **: Unable to add monitor: Nieobsługiwane
Ostrzeżenie menedżera okien: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1c00003 (Audacious)
Ostrzeżenie menedżera okien: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Ostrzeżenie menedżera okien: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1c00003 (Audacious)
Ostrzeżenie menedżera okien: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Ostrzeżenie menedżera okien: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1c00065 (Lista odtw)
Ostrzeżenie menedżera okien: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Ostrzeżenie menedżera okien: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1c00065 (Lista odtw)
Ostrzeżenie menedżera okien: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.

(gnome-panel:4686): Gdk-WARNING **: gdkdrawable-x11.c:878 drawable is not a pixmap or window
DCOPClient::attachInternal. Attach failed Could not open network socket
MADPlug-Message: hmpf, was supposed to find a tag.. offs=-128, res=9
MADPlug-Message: hmpf, was supposed to find a tag.. offs=-128, res=9
MADPlug-Message: hmpf, was supposed to find a tag.. offs=-128, res=9
DCOPClient::attachInternal. Attach failed Could not open network socket
kbuildsycoca running...
FoxyProxy settingsDir = /home/ubek/.mozilla/firefox/2ccatjrw.default
Ostrzeżenie menedżera okien: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x2600124 (Mozilla Fi)
Ostrzeżenie menedżera okien: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.





Comment 3 Gilles Dartiguelongue gentoo-dev 2009-05-17 19:00:59 UTC
what happens when you run gnome-mount /dev/cdrom (or whatever device isn't automounting).
Comment 4 Mariusz Szulist 2009-05-17 19:25:14 UTC
(In reply to comment #3)
> what happens when you run gnome-mount /dev/cdrom (or whatever device isn't
> automounting).
> 

gnome-mount /dev/cdrom 
gnome-mount /dev/sdb1

isnt working , mounting without error but 'df' dont show any resuls. No effects in desktop icons either
Comment 5 Mariusz Szulist 2009-05-17 19:39:28 UTC
my /etc/fstab file :
/dev/sda6               /home           ext3            noatime,defaults                        0 2
/dev/sda2               /               ext3            noatime,defaults                        0 1
/dev/sda5               none            swap            sw                              0 0
/dev/sda1               /media/Windows  ntfs-3g         defaults,locale=pl_PL.UTF-8     0 0
/dev/sda7               /media/Pierdoly ntfs-3g         defaults,locale=pl_PL.UTF-8     0 0
/dev/fd0                /mnt/floppy     auto            noauto,users                    0 0
Comment 6 Rémi Cardona gentoo-dev 2009-05-17 20:03:07 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > what happens when you run gnome-mount /dev/cdrom (or whatever device isn't
> > automounting).
> > 
> 
> gnome-mount /dev/cdrom 
> gnome-mount /dev/sdb1

Try running "gnome-mount --device" with DISPLAY="".

Thanks
Comment 7 Mariusz Szulist 2009-05-17 20:21:04 UTC
ok with 
gnome-mount --device /dev/sdb1 
and
gnome-mount --device /dev/cdrom 
devices are mounted and shown in desktop correctly
Comment 8 Mariusz Szulist 2009-05-18 20:55:39 UTC
so what should i do to force automounting in gnome?
Comment 9 Gilles Dartiguelongue gentoo-dev 2009-09-10 23:30:59 UTC
hum, next guess would be checking that hal is not dead and/or checking /var/log/messages for eventual dbus complaints. Other than that I've no idea why it would fail.
Comment 10 Gilles Dartiguelongue gentoo-dev 2009-09-22 06:30:13 UTC
Please get back to us.
Comment 11 Mariusz Szulist 2010-01-25 22:48:51 UTC
i have resigned to search what was the problem , i had reinstaled emerge -eav system && world   -> brute force worked